%define rname	diggler

Summary:	Plugin diggler for Firefox
Name:		%firefox_name-%rname
Version:	0.6
Release:	alt2
Source0:	%rname-%version.xpi
Source1:	installed-chrome-%rname.txt
License:	MPL/GPL/LGPL
Group:		Networking/WWW	
URL:		http://diggler.mozdev.org/
Buildrequires:	%firefox_name-devel unzip
BuildArch:	noarch

Provides: 	MozillaFirebird-diggler
Obsoletes:      MozillaFirebird-diggler

Requires: %firefox_name >= %firefox_version-%firefox_release 

%description 
Diggler is a small but powerful add-on for Mozilla, Netscape and Firebird. 
It adds a button next to the location bar which can clear the location bar 
(much like the one in Konqueror) but also drops down a menu with some 
useful actions such as being able to disable popup windows and navigate to 
parent directories in URLs (handy for FTP operations and nested sites).

%prep
#setup -q

%build

%install
%__install -d %buildroot/%firefox_chromedir
%__unzip %SOURCE0 -d %buildroot/%firefox_chromedir
%__rm -f %buildroot/%firefox_chromedir/install*
%__install -m644 %SOURCE1 %buildroot/%firefox_chromedir

%post
%firefox_extension_postin

%postun
%firefox_extension_postun

%files
%firefox_chromedir/*.jar
%firefox_chromedir/installed-chrome-%rname.txt

%changelog
* Fri Feb 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.6-alt2
- Mozilla Firebird becomes Mozilla Firefox. Mozilla's next 
  generation browser has changed names (again);

* Mon Nov 24 2003 Alexey Gladkov <legion@altlinux.ru> 0.6-alt1
- first build for ALT Linux.
